spa_meta_header Struct Reference
SPA » Buffers

Describes essential buffer header metadata such as flags and timestamps. More...

## Data Fields

uint32_t | flags
| flags More...
uint32_t | offset
| offset in current cycle More...
int64_t | pts
| presentation timestamp in nanoseconds More...
int64_t | dts_offset
| decoding timestamp as a difference with pts More...
uint64_t | seq
| sequence number, increments with a media specific frequency More...

## Detailed Description

Describes essential buffer header metadata such as flags and timestamps.

Examples
  export-sink.c, export-source.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## flags

uint32_t spa_meta_header::flags

flags

Examples
  video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## offset

uint32_t spa_meta_header::offset

offset in current cycle

## pts

int64_t spa_meta_header::pts

presentation timestamp in nanoseconds

Examples
  video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## dts_offset

int64_t spa_meta_header::dts_offset

decoding timestamp as a difference with pts

Examples
  video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## seq

uint64_t spa_meta_header::seq

sequence number, increments with a media specific frequency

Examples
  video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h